Subject: Re: bug#41454: 28.0.50; [".+" 0 font-shape-gstring] composition rule breaks paren highlighting

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 May 2020 16:23:09 +0300

> From: Pip Cet <[email-masked]>
> Date: Fri, 22 May 2020 13:18:09 +0000
> Cc: [email-masked]
> 
> On Fri, May 22, 2020 at 1:01 PM Eli Zaretskii <[email-masked]> wrote:
> > > From: Pip Cet <[email-masked]>
> > > Date: Fri, 22 May 2020 12:50:13 +0000
> > >
> > > There seems to be a general problem using such regexps in the
> > > composition-function-table.
> >
> > Could be, because it's a very unusual thing to do.
> 
> I also see the problem when I change the pattern to "(a)" and enter
> "(a)", so it's not a problem with variable-length regexps.

I think I know why, but I will look into this as soon as I have time.

> > The regexps in composition-function-table should match only characters
> > that are supposed to be composed.
> 
> So it's invalid to have a regexp for a composition not supported by
> the current font?

No, it's not invalid.  Whether the font supports a ligature is not the
issue here (if the font doesn't support it, the characters will be
displayed as usual).  What is the issue is whether we at all want the
sequence to be displayed as a ligature and behave as one, whether the
font does or doesn't support it.